<?php
declare(strict_types=1);

namespace App\Entity\Billing;

//use DH\Auditor\Provider\Doctrine\Auditing\Annotation\Auditable;
use Doctrine\ORM\Mapping as ORM;

/**
 * Classe ... qui ...
 */
//#[Auditable]
#[ORM\Entity]
class BillingExportSetting
{
    #[ORM\Id]
    #[ORM\Column]
    #[ORM\GeneratedValue]
    private ?int $id = null;

    #[ORM\ManyToOne]
    #[ORM\JoinColumn(nullable: true)]
    private SddTeneur $teneur;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getTeneur(): ?SddTeneur
    {
        return $this->teneur;
    }

    public function setTeneur(?SddTeneur $teneur): self
    {
        $this->teneur = $teneur;

        return $this;
    }
}